Bug 1003054 - [abrt] remmina-1.0.0-7.fc19: remmina_rdp_cliprdr_parse_response_event: Process /usr/bin/remmina was killed by signal 11 (SIGSEGV)
[abrt] remmina-1.0.0-7.fc19: remmina_rdp_cliprdr_parse_response_event: Proces...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: remmina (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Pavel Alexeev
Fedora Extras Quality Assurance
abrt_hash:a490cd1653720c75c20d9a6531e...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-30 11:57 EDT by Damien
Modified: 2014-08-17 15:42 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-17 15:42:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (41.62 KB, text/plain)
2013-08-30 11:57 EDT, Damien
no flags Details
File: cgroup (140 bytes, text/plain)
2013-08-30 11:57 EDT, Damien
no flags Details
File: core_backtrace (19.04 KB, text/plain)
2013-08-30 11:57 EDT, Damien
no flags Details
File: dso_list (11.90 KB, text/plain)
2013-08-30 11:57 EDT, Damien
no flags Details
File: environ (1.87 KB, text/plain)
2013-08-30 11:57 EDT, Damien
no flags Details
File: exploitable (82 bytes, text/plain)
2013-08-30 11:57 EDT, Damien
no flags Details
File: limits (1.29 KB, text/plain)
2013-08-30 11:57 EDT, Damien
no flags Details
File: maps (62.96 KB, text/plain)
2013-08-30 11:57 EDT, Damien
no flags Details
File: open_fds (1.88 KB, text/plain)
2013-08-30 11:57 EDT, Damien
no flags Details
File: proc_pid_status (938 bytes, text/plain)
2013-08-30 11:57 EDT, Damien
no flags Details
File: var_log_messages (479 bytes, text/plain)
2013-08-30 11:57 EDT, Damien
no flags Details

  None (edit)
Description Damien 2013-08-30 11:57:20 EDT
Version-Release number of selected component:
remmina-1.0.0-7.fc19

Additional info:
reporter:       libreport-2.1.6
backtrace_rating: 4
cmdline:        /usr/bin/remmina
crash_function: remmina_rdp_cliprdr_parse_response_event
executable:     /usr/bin/remmina
kernel:         3.10.9-200.fc19.x86_64
runlevel:       N 5
uid:            1000

Truncated backtrace:
Thread no. 1 (6 frames)
 #0 remmina_rdp_cliprdr_parse_response_event at /usr/src/debug/FreeRDP-Remmina-356c033/remmina-plugins/rdp/rdp_cliprdr.c:339
 #1 remmina_handle_channel_event at /usr/src/debug/FreeRDP-Remmina-356c033/remmina-plugins/rdp/rdp_cliprdr.c:488
 #2 remmina_rdp_main_loop at /usr/src/debug/FreeRDP-Remmina-356c033/remmina-plugins/rdp/rdp_plugin.c:639
 #3 remmina_rdp_main at /usr/src/debug/FreeRDP-Remmina-356c033/remmina-plugins/rdp/rdp_plugin.c:878
 #4 remmina_rdp_main_thread at /usr/src/debug/FreeRDP-Remmina-356c033/remmina-plugins/rdp/rdp_plugin.c:892
 #6 clone at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Potential duplicate: bug 860081
Comment 1 Damien 2013-08-30 11:57:23 EDT
Created attachment 792226 [details]
File: backtrace
Comment 2 Damien 2013-08-30 11:57:26 EDT
Created attachment 792227 [details]
File: cgroup
Comment 3 Damien 2013-08-30 11:57:28 EDT
Created attachment 792228 [details]
File: core_backtrace
Comment 4 Damien 2013-08-30 11:57:31 EDT
Created attachment 792229 [details]
File: dso_list
Comment 5 Damien 2013-08-30 11:57:33 EDT
Created attachment 792230 [details]
File: environ
Comment 6 Damien 2013-08-30 11:57:35 EDT
Created attachment 792231 [details]
File: exploitable
Comment 7 Damien 2013-08-30 11:57:38 EDT
Created attachment 792232 [details]
File: limits
Comment 8 Damien 2013-08-30 11:57:40 EDT
Created attachment 792233 [details]
File: maps
Comment 9 Damien 2013-08-30 11:57:43 EDT
Created attachment 792234 [details]
File: open_fds
Comment 10 Damien 2013-08-30 11:57:46 EDT
Created attachment 792235 [details]
File: proc_pid_status
Comment 11 Damien 2013-08-30 11:57:48 EDT
Created attachment 792236 [details]
File: var_log_messages
Comment 12 Christoph Wickert 2014-05-22 07:34:57 EDT
Assigning bug to new package maintainer.
Comment 13 Pavel Alexeev 2014-08-17 15:42:15 EDT
Thank very much bug report and willing make free software better.

As I already use remmina in my day job I really try fix known issues and make it up to date. Unfortunately it is big project which is poorly maintained upstream for long time. In prepare new release of freerdp and remmina we hope it may be changed now. Remmina still have many opened issues some of opened for years. Meantime some of major have trend to resolve (for example not official path to solve clipboard issue https://github.com/FreeRDP/Remmina/issues/280#issuecomment-51663311 already in rawhide).

So have such problems unfortunately became near impossible maintain such fixes in stable Fedora versions.
With help of Simone Caronni we have new version 1.0.0 from git master branch which promise some enhancements as well and based on freerdp 1.1.0 released recently. I can suggest for everyone to try that.

Note You need to log in before you can comment on or make changes to this bug.